Subject: Re: bug#77348: 30.1; cl-labels

From: Michael Heerdegen <[email-masked]>
Date: Mon, 31 Mar 2025 02:12:21 +0200

Stefan Monnier <[email-masked]> writes:

> > @Stefan: did you forget to mention the (FUNC EXP) binding definition
> > case in the docstring of `cl-labels'?
>
> Indeed.  Somehow I updated the Texinfo doc but not the docstring.
> I just fixed that in `emacs-30`, thanks.

Thanks.  But something's odd here: I'm absolutely sure that you and I,
we already talked about improving the docstring even further, and we
already had a version with an improved last paragraph.  It said
something like "FUNC is defined in any BODY, as well as FORM or the
evaluation result of any EXP", something like that.  Remember?  It seems
you lost that version and installed something old, or something written
ad-hoc, instead.

Michael.